org.freedesktop.DBus.Peer
Eldbus » Basic FreeDesktop.Org Methods

## Functions

Eldbus_Pending * | eldbus_object_peer_ping (Eldbus_Object *obj, Eldbus_Message_Cb cb, const void *data)
| Call the method "Ping" on the eldbus object.
Eldbus_Pending * | eldbus_object_peer_machine_id_get (Eldbus_Object *obj, Eldbus_Message_Cb cb, const void *data)
| Call the method "GetMachineId" on the eldbus object.

## Detailed Description

## Function Documentation

## eldbus_object_peer_ping()

Eldbus_Pending * eldbus_object_peer_ping | ( | Eldbus_Object * | obj,
|  | Eldbus_Message_Cb | cb,
|  | const void * | data )

Call the method "Ping" on the eldbus object.

Parameters

  obj | Eldbus object.
  cb | Callback called when receiving an answer.
  data | Data passed to the callback.

Returns
  The Eldbus_Pending corresponding to the message sent.

References ELDBUS_FDO_INTEFACE_PEER, eldbus_object_method_call_new(), and eldbus_object_send().

## eldbus_object_peer_machine_id_get()

Eldbus_Pending * eldbus_object_peer_machine_id_get | ( | Eldbus_Object * | obj,
|  | Eldbus_Message_Cb | cb,
|  | const void * | data )

Call the method "GetMachineId" on the eldbus object.

Parameters

  obj | Eldbus object.
  cb | Callback called when receiving an answer.
  data | Data passed to the callback.

Returns
  The Eldbus_Pending corresponding to the message sent.

References ELDBUS_FDO_INTEFACE_PEER, eldbus_object_method_call_new(), and eldbus_object_send().